import * as ts from 'typescript';
export declare class LanguageServiceHost implements ts.LanguageServiceHost {
    fileExists: (path: string) => boolean;
    readFile: (path: string, encoding?: string | undefined) => string | undefined;
    readDirectory: (path: string, extensions?: ReadonlyArray<string> | undefined, exclude?: ReadonlyArray<string> | undefined, include?: ReadonlyArray<string> | undefined, depth?: number | undefined) => string[];
    private readonly fileNames;
    private readonly files;
    private readonly options;
    constructor({fileNames, options}: ts.ParsedCommandLine);
    invalidate(file: string): void;
    getScriptFileNames(): string[];
    getScriptVersion(fileName: string): string;
    getScriptSnapshot(fileName: string): ts.IScriptSnapshot | undefined;
    getCurrentDirectory(): string;
    getCompilationSettings(): ts.CompilerOptions;
    getDefaultLibFileName(projectOptions: ts.CompilerOptions): string;
}
