"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts = require("typescript");
const paths_1 = require("./transformers/paths");
class Transpiler {
    constructor({ options }, transformers = []) {
        this.transformers = [];
        this.compilerOptions = options;
        this.transformers.push(paths_1.PathTransform(options), ...transformers);
    }
    transpile(code, fileName) {
        const { compilerOptions, transformers } = this;
        const { outputText: js, sourceMapText: sourceMap } = ts.transpileModule(code, {
            compilerOptions, fileName,
            transformers: {
                before: transformers
            }
        });
        return {
            sources: { js, sourceMap },
            diagnostics: null
        };
    }
}
exports.Transpiler = Transpiler;
//# sourceMappingURL=transpiler.js.map