"use strict";
const index_1 = require("./backend/worker/index");
const environment_1 = require("./utils/environment");
module.exports = (bundler) => {
    if (process.env['PARCEL_PLUGIN_TYPESCRIPT_DISABLE'] === 'true') {
        return;
    }
    const { transpileOnly } = environment_1.getPluginConfig();
    if (transpileOnly) {
        bundler.addAssetType('ts', require.resolve('./frontend/assets/transpile'));
        bundler.addAssetType('tsx', require.resolve('./frontend/assets/transpile'));
    }
    else {
        // On watch mode we transpile in the asset process and type-check in a dedicated process
        // Else we transpile and type-check using a dedicated process
        const tsAsset = require.resolve(`./frontend/assets/${bundler.options.watch ? 'forked' : 'typescript'}`);
        bundler.addAssetType('ts', tsAsset);
        bundler.addAssetType('tsx', tsAsset);
        const server = new index_1.TypeScriptServer();
        if (!bundler.options.watch) {
            bundler.on('buildEnd', () => server.close());
        }
    }
};
//# sourceMappingURL=index.js.map