export interface TypeCheckResult {
    diagnostics: null | string;
}
export interface CompileResult extends TypeCheckResult {
    sources: {
        js: string;
        sourceMap?: string;
    };
}
export interface CompileRequest {
    file: string;
    tsConfig: string;
    reportErrors: boolean;
}
export interface Request {
    typeCheck: CompileRequest;
    compile: CompileRequest;
}
export interface Response {
    typeCheck: TypeCheckResult;
    compile: CompileResult & TypeCheckResult;
}
