"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const commentsJson = require("comment-json");
const findUp = require("find-up");
const defaultConfig = {
    transpileOnly: false
};
function getPluginConfig() {
    const path = findUp.sync('tsconfig.json');
    if (!path) {
        return defaultConfig;
    }
    try {
        const { transpileOnly = defaultConfig.transpileOnly } = commentsJson.parse(fs_1.readFileSync(path, { encoding: 'utf-8' })).parcelTsPluginOptions || {};
        return {
            transpileOnly
        };
    }
    catch (_) {
        return defaultConfig;
    }
}
exports.getPluginConfig = getPluginConfig;
//# sourceMappingURL=environment.js.map